Unit SFG6R1_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

function SFG6R1(X :Real; A :Real; B :Real; EPS :Real; ITMAX :Integer;
                var IERR :Integer): Real;

implementation

function SFG6R1(X :Real; A :Real; B :Real; EPS :Real; ITMAX :Integer;
                var IERR :Integer): Real;
var
M :Integer;
SFG6R1,AM,BM,AZ,QAB,QAP,QAM,BZ,EM,TEM,D,AP,BP,APP,BPP,AOLD :Real;
label
_10,_20;
begin
{ Result -    SFG6R1  FORTRANe }
AM := 1.0;
BM := 1.0;
AZ := 1.0;
QAB := A+B;
QAP := A+1.0;
QAM := A-1.0;
BZ := 1.0-QAB*X/QAP;
for M:=1 to ITMAX do
 begin
  _SFG6R2.elm1 := M;
  EM := M;
  TEM := EM+EM;
  D := EM*(B-M)*X/((QAM+TEM)*(A+TEM));
  AP := AZ+D*AM;
  BP := BZ+D*BM;
  D := -(A+EM)*(QAB+EM)*X/((A+TEM)*(QAP+TEM));
  APP := AP+D*AZ;
  BPP := BP+D*BZ;
  AOLD := AZ;
  AM := AP/BPP;
  BM := BP/BPP;
  AZ := APP/BPP;
  BZ := 1.0;
  if ( Abs(AZ-AOLD) < EPS*Abs(AZ) ) 
   then goto _20;
_10:
 end;
IERR := 67;
_20:
Result := AZ;
exit;
end;

end.
